From: "Pascal Jäger" <pascal.jaeger@leimstift.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/hyprland-contrib/
Date: Tue, 2 May 2023 17:15:23 +0000 (UTC) [thread overview]
Message-ID: <1683047710.50ec94daa96109fb5346f5f864b23c242ded2934.pascal.jaeger@gentoo> (raw)
commit: 50ec94daa96109fb5346f5f864b23c242ded2934
Author: Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Tue May 2 17:14:30 2023 +0000
Commit: Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
CommitDate: Tue May 2 17:15:10 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=50ec94da
gui-wm/hyprland-contrib: add USE flags
Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
.../hyprland-contrib/hyprland-contrib-0.1.ebuild | 77 +++++++++++++++++-----
1 file changed, 60 insertions(+), 17 deletions(-)
diff --git a/gui-wm/hyprland-contrib/hyprland-contrib-0.1.ebuild b/gui-wm/hyprland-contrib/hyprland-contrib-0.1.ebuild
index 3769f05a6..3f381d5a7 100644
--- a/gui-wm/hyprland-contrib/hyprland-contrib-0.1.ebuild
+++ b/gui-wm/hyprland-contrib/hyprland-contrib-0.1.ebuild
@@ -3,6 +3,8 @@
EAPI=8
+inherit optfeature
+
DESCRIPTION="Community-maintained extensions for hyprland"
HOMEPAGE="https://hyprland.org/"
SRC_URI="https://github.com/hyprwm/contrib/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
@@ -10,29 +12,70 @@ SRC_URI="https://github.com/hyprwm/contrib/archive/refs/tags/v${PV}.tar.gz -> ${
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
-IUSE=""
+IUSE="+grimblast +hyprprop +scratchpad +shellevents +swap"
RDEPEND="
app-shells/bash
+ gui-wm/hyprland
+ grimblast? (
+ gui-apps/wl-clipboard
+ gui-apps/grim
+ app-misc/jq
+ gui-apps/slurp
+ app-misc/jq
+ )
+ hyprprop? (
+ app-misc/jq
+ gui-apps/slurp
+ )
+ scratchpad? (
+ sys-apps/sed
+ app-misc/jq
+ gui-apps/slurp
+ app-misc/jq
+ )
"
-DEPEND="${RDEPEND}
+BDEPEND="
+ grimblast? (
+ app-text/scdoc
+ )
+ hyprprop? (
+ app-text/scdoc
+ )
"
+DEPEND="${RDEPEND}"
S="${WORKDIR}/contrib-${PV}"
src_install() {
- pushd grimblast || die
- PREFIX="${D}/usr" emake install
- popd || die
- pushd hyprprop || die
- PREFIX="${D}/usr" emake install
- popd || die
- pushd scratchpad || die
- PREFIX="${D}/usr" emake install
- popd || die
- pushd shellevents || die
- PREFIX="${D}/usr" emake install
- popd || die
- pushd try_swap_workspace || die
- PREFIX="${D}/usr" emake install
- popd || die
+ if use grimblast; then
+ pushd grimblast || die
+ PREFIX="${D}/usr" emake install
+ popd || die
+ fi
+ if use hyprprop; then
+ pushd hyprprop || die
+ PREFIX="${D}/usr" emake install
+ popd || die
+ fi
+ if use scratchpad; then
+ pushd scratchpad || die
+ PREFIX="${D}/usr" emake install
+ popd || die
+ fi
+ if use shellevents; then
+ pushd shellevents || die
+ PREFIX="${D}/usr" emake install
+ popd || die
+ fi
+ if use swap; then
+ pushd try_swap_workspace || die
+ PREFIX="${D}/usr" emake install
+ popd || die
+ fi
+}
+
+pkg_postinst() {
+ if use grimblast || use hyprprop || use scratchpad || use swap; then
+ optfeature "GUI notifications during dependency checks" x11-libs/libnotify
+ fi
}
next reply other threads:[~2023-05-02 17:15 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-02 17:15 Pascal Jäger [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-03 12:35 [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/hyprland-contrib/ Gonçalo Negrier Duarte
2024-01-02 11:40 Gonçalo Negrier Duarte
2023-05-02 17:24 Pascal Jäger
2023-05-02 11:00 Pascal Jäger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1683047710.50ec94daa96109fb5346f5f864b23c242ded2934.pascal.jaeger@gentoo \
--to=pascal.jaeger@leimstift.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox